curl --request POST \
--url https://platform.kodexa.ai/api/document-families/{id}/assess \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.kodexa.ai/api/document-families/{id}/assess"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.kodexa.ai/api/document-families/{id}/assess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addedFeatures": [
{
"featureId": "<string>",
"source": "<string>"
}
],
"applicableKnowledgeSets": [
{
"knowledgeSetId": "<string>",
"name": "<string>",
"setType": "<string>"
}
],
"appliedKnowledgeSets": [
{
"knowledgeSetId": "<string>",
"name": "<string>",
"setType": "<string>"
}
],
"totalApplicableKnowledgeSets": 123,
"totalAppliedKnowledgeSets": 123,
"totalExtractedFeatures": 123
}Assess document for knowledge
Evaluates the document family’s features against all active knowledge sets for the organization using CNF expression matching. Returns applicable and newly applied knowledge sets, along with any additional features inherited from matching sets.
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Response
Assessment results
Results of assessing a document family against active knowledge sets using CNF expression matching.
Features added to the document family from matching knowledge sets.
Show child attributes
Show child attributes
Knowledge sets whose feature expressions match the document family.
Show child attributes
Show child attributes
Knowledge sets that were newly applied during this assessment.
Show child attributes
Show child attributes
Count of knowledge sets matching the document.
Count of knowledge sets newly applied.
Total number of features on the document family.
